FilteredSet (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap.util
Class FilteredSet<T>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<T>
              fr.inrialpes.exmo.ontowrap.util.FilteredSet<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>, Set<T>

Direct Known Subclasses:
  EntityFilter

    public abstract class FilteredSet<T>

extends AbstractSet<T>

Field Summary
`private Set<T>` | `s`
`private int` | `size`

Constructor Summary
`FilteredSet(Set<T> s)`

Method Summary
`protected abstract boolean` | `isFiltered(T obj)`
`Iterator<T>` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Field Detail

### s

    private Set<T> s

### size

    private int size

Constructor Detail

### FilteredSet

    public FilteredSet(Set<T> s)

Method Detail

### isFiltered

    protected abstract boolean isFiltered(T obj)

### iterator

    public final Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`
  Specified by:
    `iterator` in interface `Collection<T>`
  Specified by:
    `iterator` in interface `Set<T>`
  Specified by:
    `iterator` in class `AbstractCollection<T>`

### size

    public final int size()

  Specified by:
    `size` in interface `Collection<T>`
  Specified by:
    `size` in interface `Set<T>`
  Specified by:
    `size` in class `AbstractCollection<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010